Subject: Re: bug#8031: feature request: slow "make clean"

From: Stefano Lattarini <[email-masked]>
Date: Mon, 25 Jun 2012 11:48:57 +0200

forcemerge 10697 8031
close 8031
thanks

On 02/13/2011 08:52 PM, Ralf Hemmecke wrote:
> This is a copy of
> http://lists.gnu.org/archive/html/automake/2011-02/msg00017.html
> It's not really a bug, but rather a feature request.
> 
> Ralf
> 
> -------- Original Message --------
> Subject: slow "make clean"
> Date: Sat, 12 Feb 2011 23:46:55 +0100
> From: Ralf Hemmecke <[email-masked]>
> To: [email-masked]
> 
> I've a project that must use subdir-objects, because of filename clashes in subdirectories (non-recursive build).
> 
> AM_INIT_AUTOMAKE([-Wall -Werror foreign subdir-objects])
> 
> I just have
> 
> lib_LTLIBRARIES = libfoo.la
> check_PROGRAMS = ${TESTSUITE_TESTS} ${TESTSUITE_XFAIL_TESTS}
> 
> but quite a lot of files.
> 
> The generated Makefile contains a target "mostlyclean-compile" which has
> about 1500 lines that look like
> 
>   -rm -f src/foo/foo.$(OBJEXT)
>   -rm -f src/foo/foo.lo
>   ...
> 
> Of course it takes ages to say "make clean". About 10 sec.
> 
> Wouldn't it be faster if there were just one call to rm or at least
> block the number of arguments to rm so that the maximal argument lenght
> is not exceeded?
> 
> Any idea how I can speed that up?
> 
> Ralf
> 
This issue has been solved addressing this later bug report:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10697>

I'm thus merging the present bug#8031 with that, and closing it.

Regards,
  Stefano